%global pkg_name        Gnome2-GConf
%global pkg_version     1.044
%global rpm_pkg_version 1.044
%global rpm_pkg_release 1.n0i.13

Summary:       Perl wrappers for the GConf configuration engine
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EB/EBASSI/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: pkgconfig, GConf2-devel
BuildRequires: perl >= 2:5.8.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends) >= 0.200
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib) >= 1.120
Requires:      perl(Glib) >= 1.120


%description
This module allows you to use the GConf configuration system in order to
store/retrieve the configuration of an application. The GConf system is a
powerful configuration manager based on a user daemon that handles a set of
key and value pairs, and notifies any changes of the value to every program
that monitors those keys. GConf is used by GNOME 2.x.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc AUTHOR ChangeLog examples/ NEWS README


%changelog
* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 1.044-1.n0i.13
- version 1.044

* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 1.043-1.n0i.12
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.043

* Wed Jun 21 2006 Marius Feraru <altblue@n0i.net> - 1.031-1.n0i.11
- version 1.031

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 1.030-1.n0i.10
- version 1.030

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.013-3.n0i.9
- automatic rebuild (perl 5.8.8)

* Thu Aug 25 2005 Marius FERARU <altblue@n0i.net> 1.013-2.n0i.8
- rebuild

* Fri Jul 29 2005 Marius FERARU <altblue@n0i.net> 1.013-1.n0i.7
- version 1.013

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.000-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:1.000-1.n0i.5
- rebuild (perl 5.8.6)
- spec updates

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.000-1.n0i.4
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.000-1.n0i.3
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.000-1.n0i.2
- version 1.000
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Tue Feb 03 2004 Marius FERARU <altblue@n0i.net> 0:0.42-0.n0i.1
- version 0.42
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
